IEEE1284_FIND_PORTS(3)

NAME
ieee1284_find_ports - find ports on the system

SYNOPSIS

#include <ieee1284.h>

int ieee1284_find_ports(struct parport_list *list, int flags);

DESCRIPTION

This function should be called before the other libieee1284 functions. This gives the library a chance to look around and see what's available, and gives the program a chance to choose a port to use.

The list is a pointer to a parport_list structure that will be filled in on success.

There are no flags defined; use zero for this parameter.

RETURN VALUE

E1284_OK
    Success. list is filled in and must be destroyed using ieee1284_free_ports(3).

E1284_NOMEM
    There is not enough memory available.

E1284_NOTIMPL
    One or more of the supplied flags is not supported in this implementation.

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh